
/* Default styles for all screen sizes */
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    resize:verticle;
}

:root{
    /* --cta: #23B375B5;
    --light-white: #f9f9f9;
    --white: #fff;
    --gray: #888;
    /* --light-gray: #eee; */
    --dark-black: #081828;
    --light-black: #666;
    --footer-text: #D2D6DC;
} 



body{
    /* height: 100%; */
    width: 100%;
    height: 100vh;
    overflow-x: hidden;
    overflow-y:auto;
    color: var(--gray);
    font-size: 0.9375rem;
    font-family: 'Poppins', sans-serif;
    position: relative;
    
}
/* body.active{
    min-height: 100vh;
   overflow: auto;
} */

 
.b_container {
    max-width: 1120px;
    margin: 0 auto;
  }

    /* Profile circle for user login on navbar styles */



  
.hero {
    top: 3.5rem;
    display:table;
    position: relative;
    background-size: cover ;
    padding: 0 0;
    color: #fff;
    width: 100%;
    height: calc(100vh - 3.5rem); 
    justify-content: center;
    z-index: 1;
    /* align-items: center; */
  }
  /* This is to add a bit of an overlay to the picture */
  .hero:after {
    content: "";
    position: absolute;
    display:table;
    top: 0;
    left: 0;
    width: 100%;
    justify-content: center;
    z-index: 1.1;
    /* height: calc(100vh - 3.5rem);  */
    height: 100%;
    background-color: rgba(12, 5, 5, 0.3);
  }
  /* z-index: 1 allows for the text to still display white, and the here:after is z-index: 0 */
   .bcontainer {
   
    margin-top: 215px;
    position: relative;
    z-index: 1;
    text-align: center;
    /* display: table-cell; */
    /* vertical-align: middle; */
    width: 100%;
    /* height: calc(100% - 54px); */
  }
  /* styling for the text */
  .tagline {
    height: 5vh;
    font-family: 'Libre Baskerville', serif;
    font-size: 26px;
    margin: 45px 0 75px 0;
    color: #fff;
    font-size: 16px;
    font-style: bold;
    
  }
  #image{
    padding-top: 10%;
/* or */
    margin-top: 10%;
 }

 .add-listing {
    background-color: #39e27a; /* Background color for the "Add Listing" link */
    color: white;
    padding: 8px 15px;
    border-radius: 5px;
    text-decoration: none;
}

.add-listing:hover {
    background-color: #39e27a; /* Color change on hover */
    text-decoration: none;
}


.search-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 20vh;
    
}

.form-control {
    width: 500px; /* Increased width for the search bar */
    height: 40px;
    padding: 0 50px;
    
    border-radius: 30px 0 0 30px;
    margin-right: 10px;
    /* border: 3px solid white; Updated border color */
    border-radius: 10px;
    font-size: 16px;
    /* transition: all 0.3s ease; Smooth transition on focus */
    border:2px solid black;
}

.form-control:focus {
    border-color: #39e27a; /* Focus color */
    box-shadow: 0 0 5px #39e27a; /* Focus shadow */
}




.col-md-12{
    margin-top: -50px;
    margin-left: 10px;
   
  }

  h1{
    font-size: 38px;
    margin-right: 20px;
    margin-left: 30px; 
    margin-top: 2px;
    justify-content: center;
  }

  form {
      display: flex;
      margin-left: 0px;
      justify-content: center;

    }

    
    .search-container {
      display: flex;
      background-color: #fff;
      border-radius: 30px;
      overflow: hidden;
      box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
      width: 38vw;
      height: 7vh;
      justify-content: center;
    }

    .search-icon {
      background-color: #fff;
      color: black;
      padding: 10px;
      border-radius: 0 20px 20px 0;
      display: flex;
      align-items: center;
      margin-left: 15px;
    }

    .submit-button {
      background-color: #2ecc71;
      color: #fff;
      font-weight: bold;
      border: none;
      padding: 20px 25px;
      border-radius: 40px 40px 40px 40px;
      cursor: pointer;
      
    
    
    }

    .search-input {
      flex: 1;
      padding: 0px;
      border: none;
      outline: none;
      border-radius: 5px 0 0 5px;
    }


/* ------------------------------------------------------ */
    /* for placeholder text */
   .search-input::placeholder {
       background-color:rgb(255, 255, 255);
       color: grey; /* Change this to the desired color */
}


.search-input .search-button {
    margin: 5px; /* Adjust spacing between input and button */
}

/* -------------why voltbridge--------- */


/* description */


.outer-div {
    display: grid;
    place-items: center; /* Center the content both horizontally and vertically */
    height: 40vh; /* Set the height of the outer div to the viewport height */
    opacity: 0; /* Initially set opacity to 0 */
    animation: fadeIn 1s ease forwards; /* Apply the fade-in animation */
}

@keyframes fadeIn {
    from {
        opacity: 0; /* Start with opacity 0 */
    }
    to {
        opacity: 1; /* End with opacity 1 */
    }
}
.inner_div {
    text-align: center; /* Center the text within the inner div */
    max-width: 800px; /* Optionally, set a maximum width for better readability */
    padding: 20px; /* Add some padding for spacing */
}



/* green why voltbrdige section */

.tme {
  width: 100%;
  padding: 50px 0;
  margin-top: 2rem;
  position: relative;
  overflow: hidden;
  background-color:#00473c;
}

.tme:before {
  content: '';
  position: absolute;
  top: 0;
  left: 50%;
  margin-left: -1px;
  width: 2px;
  height: 100%;
  background: #CCD1D9;
  /* background-color:#00473c; */
  z-index: 0;
}

.timeline-block {
  width: -webkit-calc(50% + 8px);
  width: -moz-calc(50% + 8px);
  width: calc(50% + 8px);
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: flex;
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
  -moz-box-pack: justify;
  justify-content: space-between;
  clear: both;
}

.timeline-block-right {
  float: right;
  justify-content:flex-start;
}

.timeline-block-left {
  float: left;
  direction: rtl;
}

.marker {
  width: 16px;
  height: 16px;
  border-radius: 50%;
  border: 2px solid #F5F7FA;
  background: #00473c;
  margin-top: 10px;
  z-index: 9999
}

.timeline-content {
  width: 70%;
  padding: 0 35px;
  color: #666;
  animation: fadeFromTop 0.5s ease-in-out forwards;
}

.timeline-content h3 {
  margin-top: 5px;
  margin-bottom: 5px;
  font-size: 1.7rem;
  font-weight: 500;
  color: hsl(148, 83%, 45%);
}

.timeline-content span {
  font-size: 15px;
  color: #a4a4a4;
}

.timeline-content p {
  font-size: 1rem;
  line-height: 1.5em;
  word-spacing: 1px;
  color: #888;
  text-align:justify;
  color:lightsteelblue;
}


@media screen and (max-width: 768px) {
  .tme:before {
     left: 8px;
     width: 2px;
     margin-left: 10px;
  }

  .timeline-block{
    width: 100%;
    margin-left: 0.7rem;
  }

  .timeline-content {
    width: 95%;
    padding: 0 35px;
    color: #666;
    animation: fadeFromTop 0.5s ease-in-out forwards;
  }

  .timeline-block {
     width: 100%;
     margin-bottom: 30px;
  }
  .timeline-block-right {
     float: none;
     
  }

  .timeline-block-left {
     float: none;
     /* direction: ltr; */
  }
  .content-whyvoltbridge{
    padding-left: 28px;
    padding-right: 40px;
  }

  .timeline-content h3 {
    margin-top: 5px;
    margin-bottom: 5px;
    font-size: 1.2rem;
    font-weight: 500;
    /* color: darkturquoise; */
    color:hsl(148, 83%, 45%);
  }
  
  .timeline-content span {
    font-size: 10px;
    color: #a4a4a4;
  }
  
  .timeline-content p {
    font-size: 0.7rem;
    line-height: 1.5em;
    word-spacing: 1px;
    color: #888;
    text-align:justify;
    color:lightsteelblue;
  }



/* Style the button container for learn more button in green voltbrdige section*/
.button-container {
  text-align: center; /* Center the button horizontally */
  margin-top: 1rem; /* Add some space above the button */
}

/* Style the button itself */
.learn-more-button {
  background-color:  hsl(148, 80%, 38%); /* Set a blue background color */
  /* background-color:  hsl(148, 75%, 44%); Set a blue background color */
  color: rgb(255, 255, 255); /* Set white text color */
  padding: 0.5rem 1rem; /* Add some padding for spacing */
  border: none; /* Remove default button border */
  border-radius: 5px; /* Add rounded corners */
  cursor: pointer; /* Change cursor to indicate clickability */
  transition: background-color 0.2s ease-in-out; /* Add a smooth hover effect */
  transition: color 0.2s ease-in-out; /* Add a smooth hover effect */
  font-size: .75rem;
}

/* Style the button on hover */
.learn-more-button:hover {
  background-color: #359219; /* Change background color on hover */
  color: rgb(255, 255, 255); /* Set white text color */
  
}


}




@media screen and (min-width:768px){
  

/* Style the button container for learn more button in green voltbrdige section*/
.button-container {
  text-align: center; /* Center the button horizontally */
  margin-top: 1rem; /* Add some space above the button */
}

/* Style the button itself */
.learn-more-button {
  background-color:  hsl(148, 80%, 38%); /* Set a blue background color */
  /* background-color:  hsl(148, 75%, 44%); Set a blue background color */
  color: rgb(255, 255, 255); /* Set white text color */
  padding: 0.8rem 1.4rem; /* Add some padding for spacing */
  border: none; /* Remove default button border */
  border-radius: 5px; /* Add rounded corners */
  cursor: pointer; /* Change cursor to indicate clickability */
  transition: background-color 0.2s ease-in-out; /* Add a smooth hover effect */
  transition: color 0.2s ease-in-out; /* Add a smooth hover effect */
  font-size: 1rem;
}

/* Style the button on hover */
.learn-more-button:hover {
  background-color: #359219; /* Change background color on hover */
  color: rgb(255, 255, 255); /* Set white text color */
  
}

}

@keyframes fadeFromTop {
 0% {
   opacity: 0;
   transform: translateY(-50px);
 }
 100% {
   opacity: 1;
   transform: translateY(0);
 }
}
.fade-in {
 opacity: 0;
 transition: opacity 0.5s ease-in-out;
}

.fade-in.fade-in-visible {
 opacity: 1;
}


/* green why voltbrdige section  end*/


/* ----------==========transtition-on-scroll==========---------- */



.fadeFromLeft{
  opacity: 0;
  -webkit-transform: translateX(-20px);
  -moz-transform: translateX(-20px);
  -ms-transform: translateX(-20px);
  -o-transform: translateX(-20px);
  transform: translateX(-20px);
  -webkit-transition: all .3s linear;
  -moz-transition: all .3s linear;
  -ms-transition: all .3s linear;
  -o-transition: all .3s linear;
  transition: all .3s linear;
}
.ffl-active{
  opacity: 1;
  -webkit-transform: translateX(0);
  -moz-transform: translateX(0);
  -ms-transform: translateX(0);
  -o-transform: translateX(0);
  transform: translateX(0);
}
.fadeFromRight{
  opacity: 0;
  -webkit-transform: translateX(20px);
  -moz-transform: translateX(20px);
  -ms-transform: translateX(20px);
  -o-transform: translateX(20px);
  transform: translateX(20px);
  -webkit-transition: all .3s linear;
  -moz-transition: all .3s linear;
  -ms-transition: all .3s linear;
  -o-transition: all .3s linear;
  transition: all .3s linear;
}
.ffr-active{
  opacity: 1;
  -webkit-transform: translateX(0);
  -moz-transform: translateX(0);
  -ms-transform: translateX(0);
  -o-transform: translateX(0);
  transform: translateX(0);
}
.fadeFromBottom{
  opacity: 0;
  -webkit-transform: translateY(-20px);
  -moz-transform: translateY(-20px);
  -ms-transform: translateY(-20px);
  -o-transform: translateY(-20px);
  transform: translateY(-20px);
  -webkit-transition: all .3s linear;
  -moz-transition: all .3s linear;
  -ms-transition: all .3s linear;
  -o-transition: all .3s linear;
  transition: all .3s linear;
}
.ffb-active{
  opacity: 1;
  -webkit-transform: translateY(0);
  -moz-transform: translateY(0);
  -ms-transform: translateY(0);
  -o-transform: translateY(0);
  transform: translateY(0);
}
.fadeFromTop{
  opacity: 0;
  -webkit-transform: translateY(20px);
  -moz-transform: translateY(20px);
  -ms-transform: translateY(20px);
  -o-transform: translateY(20px);
  transform: translateY(20px);
  -webkit-transition: all .3s linear;
  -moz-transition: all .3s linear;
  -ms-transition: all .3s linear;
  -o-transition: all .3s linear;
  transition: all .3s linear;
}
.fft-active{
  opacity: 1;
  -webkit-transform: translateY(0);
  -moz-transform: translateY(0);
  -ms-transform: translateY(0);
  -o-transform: translateY(0);
  transform: translateY(0);
}


/* transition ends  */





.bfcontainer {
   
    margin-top: 50px;
    background-color: #FAFAFBFF;
    position: relative;
    z-index: 1;
    text-align: center;
    /* display: table-cell; */
    /* vertical-align: middle; */
    width: 100%;
    /* height: calc(100% - 54px); */
  }

/* footer */
.footer {
    background-color: #FAFAFBFF;
    padding: 22px 0;
    /* color: #171A1FFF; */
    height:4rem;
  }

  .footer-links {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
    
  }

  .footer-links a {
    color: #171A1FFF;
    text-decoration: none;
  }

  .footer-links a:hover {
    text-decoration: underline;
  }

  .copyright {
    text-align: center;
    margin-top: 10px;
    height: 5rem;
  }

  .social-links {
    display: flex;
    /* justify-content: flex-end; */
    align-items: center;
    /* margin-top: 20px; */
    /* margin-right: 2rem; */
    
  }

  .social-links a {
    color: #0A66C2;
    fill: #0a66c2;
    /* margin-left: px; */
    font-size: 25px;
  }













/* ------------------------------------------------------------------------------------------------------------------ */
  
  /* Media query for small screens (up to 600px) */
  @media screen and (max-width: 600px) {
    .b_container {
      max-width: 100%; /* Adjust to full width for small screens */
      padding: 0 10px; /* Add some padding to the sides */
    }

    
    /* Profile circle for user login styles */
  .profile-circle {
    display: flex;
    align-items: center;
    /* width: auto; */
  }
  
  .profile-image {
      width: 50px;
      height: 50px;
      background-color: #23d375;
      color: #fff;
      border-radius: 50%;
      display: flex;
      justify-content: center;
      align-items: center;
      margin-left: 20px; 
      border: 2px solid green;

  }


    .hero {
        top: 3.5rem;
        display:table;
        position: relative;
        background-size: cover ;
        padding: 0 0;
        color: #fff;
        width: 100%;
        height: calc(100vh - 1.5rem); 
        justify-content: center;
        z-index: 1;
        /* align-items: center; */
        background-position-x:center;
        backkground:center;
      }
      /* This is to add a bit of an overlay to the picture */
      .hero:after {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.3);
      }

    .bcontainer{
        margin-top: 130px;
    }
/* tagline font */
    h1{
        font-size: 3.8vh;
        margin-right: 20px;
        margin-left: 30px; 
        margin-top: 2px;
        justify-content: center;
      }

    .search-container {
        display: flex;
        background-color: #fff;
        border-radius: 30px;
        overflow: hidden;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        width: 90vw;
        height: 7vh;
        justify-content: center;
      }
  
      .search-icon {
        background-color: #fff;
        color: black;
        padding: 10px;
        border-radius: 0 20px 20px 0;
        display: flex;
        align-items: center;
        margin-left: 15px;
      }
  
      .submit-button {
        background-color: #2ecc71;
        color: #fff;
        font-weight: bold;
        border: none;
        padding: 20px 25px;
        border-radius: 40px 40px 40px 40px;
        cursor: pointer;
        
      }
  
      .search-input {
        flex: 1;
        padding: 0px;
        border: none;
        outline: none;
        border-radius: 5px 0 0 5px;
      }

      
.outer-div {
    display: grid;
    place-items: center; /* Center the content both horizontally and vertically */
    height: 50vh; /* Set the height of the outer div to the viewport height */
    opacity: 0; /* Initially set opacity to 0 */
    animation: fadeIn 1s ease forwards; /* Apply the fade-in animation */
    align-items: center;
    
}

@keyframes fadeIn {
    from {
        opacity: 0; /* Start with opacity 0 */
    }
    to {
        opacity: 1; /* End with opacity 1 */
    }
}
.inner_div {
    text-align: center; /* Center the text within the inner div */
    max-width: 800px; /* Optionally, set a maximum width for better readability */
    padding: 20px 20px 20px 20px; /* Add some padding for spacing */
    margin-top:20px;
}





}








  

  


  /* ------------------------------------------------------------------------------------------------------------------ */
  /* Media query for medium screens (601px - 960px) */
  @media screen and (min-width: 601px) and (max-width: 1118px) {
    .b_container {
      max-width: 80%; /* Adjust to 80% of the screen width */
    }

    .bcontainer{
        margin-top: 150px;
    }

    .profile-circle {
      display: flex;
      align-items: center;
      /* width: auto; */
    }

    /* profile picture image */
    .profile-image {
      width: 50px;
      height: 50px;
      background-color: #23d375;
      color: #fff;
      border-radius: 50%;
      display: flex;
      justify-content: center;
      align-items: center;
      margin-left: 20px; 
      border: 2px solid green;

  }

    .search-container {
        display: flex;
        background-color: #fff;
        border-radius: 30px;
        overflow: hidden;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        width: 60vw;
        height: 7vh;
        justify-content: center;
      }
  
      .search-icon {
        background-color: #fff;
        color: black;
        padding: 10px;
        border-radius: 0 20px 20px 0;
        display: flex;
        align-items: center;
        margin-left: 15px;
      }
  
      .submit-button {
        background-color: #2ecc71;
        color: #fff;
        font-weight: bold;
        border: none;
        padding: 20px 25px;
        border-radius: 40px 40px 40px 40px;
        cursor: pointer;
      
      }
  
      .search-input {
        flex: 1;
        padding: 0px;
        border: none;
        outline: none;
        border-radius: 5px 0 0 5px;
      }
  
  }
  


  /* ------------------------------------------------------------------------------------------------------------------ */
  /* Media query for large screens (961px and above) */
  @media screen and (min-width: 1118px) {
    .b_container {
      /* max-width: 1120px;  */
       /* Maintain a fixed width on large screens */
       margin-inline: 5rem;
    }

    
    /* Profile circle for user login styles */
  .profile-circle {
    display: flex;
    align-items: center;
    /* width: auto; */
  }
  
  .profile-image {
      width: 40px;
      height: 40px;
      background-color: #23d375;
      color: #fff;
      border-radius: 50%;
      display: flex;
      justify-content: center;
      align-items: center;
      /* margin-left: 20px;  */
      border: 2px solid green;

  }
  }
  